All-
 
I downloaded and installed snort-2.9.0.3 with the SaaC integration. Everything compiled and installed without a problem but when I run `snort -c /usr/local/src/snort-2.9.0.3/etc/snort.saac.conf -A cmg -q -i eth0` or `snort -c /usr/local/src/snort-2.9.0.3/etc/snort.saac.conf -A cmg -q -r ~/tmp.pcap` I get the error:
"ERROR: Failed to find LibVersion() function in /usr/local/lib/snort_dynamicpreprocessor/librazorback_api.so: \
/usr/local/lib/snort_dynamicpreprocessor/librazorback_api.so: undefined symbol: LibVersion
Fatal Error, Quitting.."
 
I did try the oracle of our modern times (google) and the only thing I could find that was similar was a problem with the example .so rules. The solution there was to delete them, but I don't think deleting will work in this instance.
 
user@Snort:/usr/local/src$ sudo uname -a
Linux Snort 2.6.32-21-generic #32-Ubuntu SMP Fri Apr 16 08:09:38 UTC 2010 x86_64 GNU/Linux
user@Snort:/usr/local/src$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description:    Ubuntu 10.04.1 LTS
Release:        10.04
Codename:       lucid
 
The box is running in a VM. I know that shouldn't make any difference.
 
Cheers,
Chris